Subject: Re: [Pana] Re: review pana spec

From: Mohan Parthasarathy <[email-masked]>
Date: Thu, 30 Nov 2006 17:51:55 -0800 (PST)

> Here is revised text for Section 5.6 (also reflecting Alper's
> comment):
> 
> "
> 5.6.  PaC Updating its IP Address
> 
>    A PaC's IP address used for PANA can change in certain situations,
>    e.g., when the PaC moves from one IP link to another within the
>    same PAA's realm.  In order to maintain the PANA session, the PAA
>    needs to be notified about the change of PaC address.  In order to
>    maintain the PANA session, the PAA needs to be notified about the
>    change of the IP address of the PaC.
> 
>    After the PaC has changed its IP address used for PANA, it MUST
>    send a PANA-Update-Request message to the PAA.  The PAA MUST update
>    the PANA session with the new PaC address carried in the Source
>    Address field of the IP header and return a PANA-Update-Answer
>    message.  If there is an established PANA SA, both
>    PANA-Update-Request and PANA-Update-Answer messages MUST be
>    protected with an AUTH AVP.
> "
> 
> mohan> It is still confusing because it is still not clear whether it is required when
> the PaC is not moving (which is the basic operation).  At least refer to PANA framework
> document here.

The PaC is considered as moving if an IP address used for PANA changes
but the same PAA is discovered (note PAA discovery is outside the
scope of PANA).  Isn't the first paragraph clear about that?  

mohan> Sure. So, are you saying that this is not needed if PaC is not moving.
mohan> I thought it is required in cases where PaC changes its address
mohan> from a link-local to global. These are still allowed, right ?

BTW, PANA framework does not discuss IP address configuration stuff
any more, so referring to PANA framework does not help.

mohan> Interesting. Where will it be defined ?

Regards,
Yoshihiro Ohba

> 
> 
> Rest are fine.
> 
> -mohan
> 
> 
> 
> 
> 
> _______________________________________________
> Pana mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pana
> 
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 30 Nov 2006 21:15:57 -0500

On Thu, Nov 30, 2006 at 05:51:55PM -0800, Mohan Parthasarathy wrote:

(snip)

> 
> mohan> Sure. So, are you saying that this is not needed if PaC is not moving

> mohan> from a link-local to global. These are still allowed, right ?

I see what you mean.  Moving scenario is just one case for IP address
change.  Sure, a link-local to global transition could be another
case.

> mohan> Interesting. Where will it be defined ?

This may be covered by deployment-specific PANA applicability
documents.  Said that, how about revising the section as follows?

"

   A PaC's IP address used for PANA can change in certain situations,
   e.g., when the PaC moves from one IP link to another within the
   same PAA's realm.  Other situations may be described in deployment-
   specific PANA applicability documents.  In order to maintain the
   PANA session, the PAA needs to be notified about the change of PaC
   address.  In order to maintain the PANA session, the PAA needs to
   be notified about the change of the IP address of the PaC.

Regards,
Yoshihiro Ohba